﻿@model  EnergyMission.Domain.Entities.StructureEntity
@{
    string actionName = (string)ViewData["ActionName"];
    EnergyMission.Web.Common.Common cs = new EnergyMission.Web.Common.Common();
}

@using (Html.BeginForm("Createstru", "Structures", FormMethod.Post))
{
    @Html.AntiForgeryToken()
    @Html.HiddenFor(model => model.Id)
   


        <div class="bottom delete locationBottom">
            <div class="left">
                <label class="name">Structure Name*</label>
                <div class="select-btn3">
                    @Html.TextBoxFor(model => model.Name)
                    <div class="error-msg">
                        @Html.ValidationMessageFor(m => m.Name, "", new { @class = "error-message eql_height" })
                    </div>


                </div>
               
                <div class="clearfix"></div>
                <label class="name">Location</label>
                <div class="select-btn3">
                    @Html.DropDownListFor(model => model.LocationId, cs.LocationList, "Select Location", new { @class = "my-dropdown", @onchange = "change();" })
                    <div class="error-msg">
                       
                        @Html.ValidationMessageFor(m => m.LocationId, "", new { @class = "error-message eql_height" })
                    </div>
                  
                </div>
                <div class="clearfix"></div>
                <label class="name">Site*</label>
                <div class="select-btn3">
                    @Html.DropDownListFor(model => model.SiteId, cs.SiteList, "Select Site", new { @class = "my-dropdown" })
                    <div class="error-msg">
                      
                        @Html.ValidationMessageFor(m => m.SiteId, "", new { @class = "error-message eql_height" })
                    </div>

                </div>
                <div class="clearfix"></div>
            </div>
        </div>
    <div class="bottom delete LocationMappings">
        <div class="fullWidth">
            <input class="save button" name="button" type="submit" value="Save Structure" />
            <input class="done button restore" name="button" onclick="cancelall();" type="button" value="Cancel" />
            <input class="done button" id="strucureJ" name="button" type="button" value="Done" />
        </div>
    </div>


}














